<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?>
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	} 
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}
	if( get_theme_mod('sec_footersecopacity',true) ) {
		$sec_footersecopacity = 'opacity:'.esc_attr(get_theme_mod('sec_footersecopacity')).';';
	}

?>		

<footer class="footer-area" id="footer" style="<?php echo esc_attr($sec_footerseTmargin); ?>" "<?php echo esc_attr($sec_footersebottommargin); ?>" "<?php echo esc_attr($sec_footersecopacity); ?>">
		<?php
			$newsletter_title = get_theme_mod('newsletter_title', 'SUBSCRIBE TO NEWSLETTER');	
			$luzuk_newsletter_shortcode = get_theme_mod('luzuk_newsletter_shortcode', '[Add Form shortcode]'); 
		?>
	<div class="footer-overlay"></div>
<!-- <?php 
if(get_theme_mod('newsletter_section_disable') != 'on' ){ ?>
	<div id="newsletter">
		<div class="container"> 
			<div class="col-xl-12 col-lg-12 col-sm-12 col-md-12 col-xs-12">
				<div class="sb-newsletter-box">	
					<?php
			$newsletter_title = get_theme_mod('newsletter_title', 'SUBSCRIBE TO OUR NEWSLETTER');
			$newslatter_shortcode = get_theme_mod('newslatter_shortcode', '[Add Form shortcode]');
			?>
 				<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
 					<?php if(($newsletter_title) || ($newsletter_title)){ ?>	
 						<h1 class="main-heading">
 							<span class="main-heading-primary"><?php echo ($newsletter_title);  ?></span>
 						</h1>
 					<?php }?>
 				</div>

				
					<div class="box-form wow fadeInUp" >								
						<p><?php echo do_shortcode($luzuk_newsletter_shortcode);?></p>
						<div class="clearfix"></div> 
					</div>
				</div>
				<div class="clearfix"></div> 
			</div>
		</div>	
	</div>
<?php }
?> -->
	<div class="fbox"> 
		<div class="container">
			<div class="row mr-0">
				<div class="s-footer col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12 single-footer-1  ">
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('luzuk-footer1')): 
							dynamic_sidebar('luzuk-footer1');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-xl-2 col-lg-3 col-md-6 col-sm-6 col-xs-12 single-footer-2  ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('luzuk-footer2')): 
							dynamic_sidebar('luzuk-footer2');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-xl-3 col-lg-2 col-md-6 col-sm-6 col-xs-12 single-footer-3">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('luzuk-footer3')): 
							dynamic_sidebar('luzuk-footer3');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-12 single-footer-4" >
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('luzuk-footer4')): 
							dynamic_sidebar('luzuk-footer4');
						endif;
						?>	
					</div>
				</div>
			</div>
		</div>
	</div>
		
	<?php 

		if( get_theme_mod('sec_bottomareaTmargin',true) ) {
			$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
		}
		if( get_theme_mod('sec_bottomareabottommargin',true) ) {
			$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
		}
		
	?>		
	<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn" style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
			<div class="bottom-area-overlay"></div>
			<div class="container">
				<div class="col-md-12 col-sm-12 col-xs-12 pd-0">
					<!-- <div class="footer-text">
						<?php echo $footercopyright;?>
					</div>  -->
						<div class="footer-text">
									<?php if($footercopyright){ ?>
											<?php echo $footercopyright;?>
									<?php } ?>
								</div>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
</footer>

<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>

	<!-- <a id="back2Top" title="Back to top" href="#"> &#10148; </a> -->

<a id="back2Top" title="Back to top" href="#">
<svg class="arrows" viewBox="0 0 55 100">
	<path class="a1" d="M0 0 L30 32 L60 0"></path>
	<path class="a2" d="M0 20 L30 52 L60 20"></path>
	<path class="a3" d="M0 40 L30 72 L60 40"></path>
</svg>
</a>
</body>
</html>
