<?php

//faq
function faqShortcode($isHome = 0) {
  global $query;

  $args = array('post_type' => 'our-faq');

  if (!empty($pageId)) {
    $args['page_id'] = absint($pageId);
} else {
    $args['paged'] = max(1, get_query_var('paged'));
}

if(!empty($isHome) && $isHome == 1){
    $cols = get_theme_mod('faq_section_npp_count', 5);
    $cols++;
    $args['posts_per_page'] = $cols;
}else{
    $args['posts_per_page'] = (!empty($args['posts_per_page'])) ? $args['posts_per_page'] : -1;
}
$faqPageId = get_theme_mod('faq_section_page_link');
$query = new WP_Query($args);
ob_start();
    // print_r($query);

echo '<div class="row">';


echo '<div class="col-xl-12 faqs-container row" itemscope itemtype="">';
if ($query->have_posts()){
    while ($query->have_posts()) : $query->the_post();
      $post = get_post();
      $faqdesignation = get_post_meta($post->ID, 'faqdesignation', false);
      $faqs_designation = !empty($faqdesignation[0]) ? $faqdesignation[0] : '';

      ?>


      <div class="col-xl-6 col-lg-6 faq-singular" itemscope itemprop="mainEntity" itemtype="">
        <h6 class="faq-question display-6 font-weight-bold text-break" itemprop="name">
           <?php if (!empty($faqs_designation)) { ?>
              <div class="faqs-num"><?php echo ($faqs_designation); ?></div>
          <?php } ?>
          <?php the_title(); ?>
      </h6>
      <div class="faq-answer text-break" itemscope itemprop="acceptedAnswer" itemtype="">
        <div itemprop="text">
           <?php
           if(!empty($isHome) && $isHome==1){
              if (has_excerpt()) {
                echo get_the_excerpt();
            } else {
                echo get_the_content();
            }
        }else{
          echo get_the_content();
      }?>
  </div>
</div>
</div>
<?php
endwhile;
}else{
    for($i=0; $i<$cols; $i++){
      ?>

      <?php
  }
}
echo '</div>';
echo '</div>';
?>
<script>
    $(document).ready(function() {
  //$(".faqs-container .faq-singular:first-child").addClass("active").children(".faq-answer").slideDown();//Remove this line if you dont want the first item to be opened automatically.
  $(".faq-question").on("click", function(){
    if( $(this).parent().hasClass("active") ){
      $(this).next().slideUp();
      $(this).parent().removeClass("active");
  }
  else{
      $(".faq-answer").slideUp();
      $(".faq-singular").removeClass("active");
      $(this).parent().addClass("active");
      $(this).next().slideDown();
  }
});
});
</script>

<!-- <script>
    $(function(){
        $('.faq-answer').hide();
        $('.faq-question').on('click', function(){
            $('.faq-answer.active').slideToggle(600).removeClass('active');
            $(this).next().slideToggle(600).toggleClass('active');

        });
    });
</script>
-->

<?php
$text = ob_get_contents();
ob_clean();
ob_end_flush();
wp_reset_postdata();
    // echo $text;
return $text;
}

function VideoShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-videos');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('video_area_npp_count', 0);  
    ++$cols;
    switch ($cols) {
       case 1:
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
       case 2: 
       case 4:
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
       case 3:
       case 5:
       case 6:
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
       default: 
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
   }
    // }
   $text = '';
   $query = new WP_Query($args);
   if ($query->have_posts()):
    $postN = 0;
    while ($query->have_posts()) : $query->the_post();
        $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'video_large');

        if ($isCustomizer === true) {
            $team_video = get_theme_mod('team_video' . $i);

        } else {
            $team_video = '';

        }
        $post = get_post();
        $teamfeatured = get_post_meta($post->ID, 'teamfeatured', false);
        $video_link = !empty($teamfeatured[0]) ? $teamfeatured[0] : '';
        ?> 
        <div class="<?php echo $colCls;?> single-video">
            <div class="videous-single wow zoomIn">
                <div class="video-box">
                    <div class="newvbox">
                        <a class="video">
                         <?php
                         if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/about1.jpg';
                        }
                        ?>
                        <div class="newest-video">
                            <!-- <a target="_blank" href="<?php //echo esc_url($video_link) ?>"> <img alt="<?php //the_title(); ?>" src="<?php //echo esc_url($image_url); ?>" />  </a>  -->
                            
                           <iframe width="100%" height="315" src="<?php echo esc_url($video_link) ?>" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

                         <!--   <div class="video-icon">
                            <div class="video-ovly"></div>
                            <i class="fa fa-play" aria-hidden="true"></i>
                        </div> -->
                    </div>
                </a>
            </div>
        </div>

    </div>
    <div class="clearfix"></div>
</div>
<!-- Ineer page start -->

<?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}


//video page shortcode
function VideoPageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-videos');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('video_area_npp_count', 0);  
    ++$cols;
    switch ($cols) {
       case 1:
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
       case 2: 
       case 4:
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
       case 3:
       case 5:
       case 6:
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
       default: 
       $colCls = 'col-md-12 col-sm-12 col-xs-12';
       break;
   }
    // }
   $text = '';
   $query = new WP_Query($args);
   if ($query->have_posts()):
    $postN = 0;
    while ($query->have_posts()) : $query->the_post();
        $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'video_large');

        if ($isCustomizer === true) {
            $team_video = get_theme_mod('team_video' . $i);

        } else {
            $team_video = '';

        } 
        $post = get_post();
        $teamfeatured = get_post_meta($post->ID, 'teamfeatured', false);
        $video_link = !empty($teamfeatured[0]) ? $teamfeatured[0] : '';
        ?> 
        <div class="<?php echo $colCls;?> single-video col-lg-4">
            <div class="videous-single wow zoomIn">
                <div class="video-box">
                    <div class="newvbox">
                        <a class="video">
                         <?php
                         if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/about1.jpg';
                        }
                        ?>
                        <div class="newest-video">
                            <!-- <a target="_blank" href="<?php //echo esc_url($video_link) ?>"> <img alt="<?php //the_title(); ?>" src="<?php //echo esc_url($image_url); ?>" />  </a>  -->
                            
                           <iframe width="100%" height="315" src="<?php echo esc_url($video_link) ?>" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

                         <!--   <div class="video-icon">
                            <div class="video-ovly"></div>
                            <i class="fa fa-play" aria-hidden="true"></i>
                        </div> -->
                    </div>
                </a>
            </div>
        </div>

    </div>
    <div class="clearfix"></div>
</div>
<!-- Ineer page start -->

<?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}


//team
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count', 2);
    $cols++;
    switch($cols){
     case 1:
     $colCls = 'col-xl-3 col-lg-3 col-md-12 col-sm-12';
     break;
     case 2: 
     $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-12';
     break;
     case 3:
     case 5:
     case 6:
     case 7:
     case 8:
     case 9:
     case 10:
     case 11:
     case 12:
     case 13:
     case 14:
     case 15:
     $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-12';
     break;
     default: 
     $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-12';
     break;
 } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
           // $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
           // $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
    //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        //$teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        //$team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

        $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

    //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        ?>
        <!--  <div class="<//?php echo $colCls;?> single-team"> -->
            <div class="<?php echo $colCls;?> single-team">
                <div class="our-team wow zoomIn">
                    <div class="service-animation">
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <!-- <div class="line"></div> -->
                    </div>
                    <div class="img-wrap-ser">
                       <?php
                       if (has_post_thumbnail()) {
                        $image_url = $team_area_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/team.png';
                    }
                    ?>    
                    <div class="img-ser" style="background: url('<?php echo esc_url($image_url); ?>"> 
                        <div class="img-overlay-ser"></div>
                    </div>
                </div>
                <?php if(($team_area_designation) || ($team_area_designation)){ ?>   
                    <div class="team-text">
                        <div class="trail-box">
                            <div class='trail-dark one-trail'></div>
                            <div class="trail-dark two-trail"></div>
                            <div class="trail-dark three-trail"></div>
                            <div class="trail-dark four-trail"></div>
                            <div class="trail-dark five-trail"></div>
                            <div class="trail-dark six-trail"></div>
                        </div>
                        <h2><?php the_title(); ?></h2>
                        <p><?php echo ($team_area_designation); ?></p>
                    </div>  
                <?php }?>

                <ul>
                 <?php if ($team_area_facebook) { ?>
                    <li><a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>"> <i class="fa fa-facebook" aria-hidden="true"></i> </a>
                        <span></span> <span></span> <span></span> 
                    </li>
                <?php } ?>
                <?php if ($team_area_instagram) { ?>
                    <li><a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>"> <i class="fa fa-instagram" aria-hidden="true"></i> </a> 
                        <span></span> <span></span> <span></span> 
                    </li>
                <?php } ?>
                <?php if ($team_area_twitter) { ?>
                    <li><a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>"> <i class="fa fa-twitter" aria-hidden="true"></i> </a>
                        <span></span> <span></span> <span></span> 
                    </li>
                <?php } ?>
                <?php if ($team_area_pinterest) { ?>
                    <li><a target="_blank" href="#"> <i class="fa fa-youtube" aria-hidden="true"></i> </a> 
                        <span></span> <span></span> <span></span> 
                    </li>
                <?php } ?>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>

    <?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}


//team Innerpage
function teamPageShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count', 2);
    $cols++;
    switch($cols){
     case 1:
     $colCls = 'col-xl-3 col-lg-3 col-md-12 col-sm-12';
     break;
     case 2: 
     $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-12';
     break;
     case 3:
     case 5:
     case 6:
     case 7:
     case 8:
     case 9:
     case 10:
     case 11:
     case 12:
     case 13:
     case 14:
     case 15:
     $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-12';
     break;
     default: 
     $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-12';
     break;
 } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
           // $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
           // $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
    //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        //$teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        //$team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

        $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

    //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        ?>
        <!--  <div class="<//?php echo $colCls;?> single-team"> -->
            <div class="<?php echo $colCls;?> single-team">
                <div class="our-team wow zoomIn">

                    <div class="service-animation"> 
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <div class="line"></div>
                        <!-- <div class="line"></div> -->
                    </div>

                    <div class="img-wrap-ser">
                        <?php
                        if (has_post_thumbnail()) {
                            $image_url = $team_area_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/service1.png';
                        }
                        ?>    
                        <div class="img-ser" style="background: url('<?php echo esc_url($image_url); ?>">
                            <div class="img-overlay-ser"></div>
                        </div> 
                    </div>
                    <?php if(($team_area_designation) || ($team_area_designation)){ ?> 
                        <div class="team-text">
                            <div class="trail-box">
                                <div class='trail-dark one-trail'></div>
                                <div class="trail-dark two-trail"></div>
                                <div class="trail-dark three-trail"></div>
                                <div class="trail-dark four-trail"></div>
                                <div class="trail-dark five-trail"></div>
                                <div class="trail-dark six-trail"></div>
                            </div>

                            <h5><?php the_title(); ?></h5>
                            <p><?php echo ($team_area_designation); ?></p>
                        </div>
                    <?php }?>

                    <ul>
                     <?php if ($team_area_facebook) { ?>
                        <li><a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>"> <i class="fa fa-facebook" aria-hidden="true"></i> </a>
                            <span></span> <span></span> <span></span> 
                        </li>
                    <?php } ?>
                    <?php if ($team_area_instagram) { ?>
                        <li><a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>"> <i class="fa fa-instagram" aria-hidden="true"></i> </a> 
                            <span></span> <span></span> <span></span> 
                        </li>
                    <?php } ?>
                    <?php if ($team_area_twitter) { ?>
                        <li><a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>"> <i class="fa fa-twitter" aria-hidden="true"></i> </a>
                            <span></span> <span></span> <span></span> 
                        </li>
                    <?php } ?>
                    <?php if ($team_area_pinterest) { ?>
                        <li><a target="_blank" href="#"> <i class="fa fa-youtube" aria-hidden="true"></i> </a> 
                            <span></span> <span></span> <span></span> 
                        </li>
                    <?php } ?>
                </ul>
                <div class="clearfix"></div>
            </div>
        </div>

        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 3);
    $cols++;
    switch($cols){

    }
    $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
            $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <!-- <div class="clearfix"></div> -->
                <!-- </div> -->
                <!-- <div class="row"> -->
                    <?php
                }
                ++$postN;
                ?> 
                <div class="item items innertest-item">
                  <div class="ts-area-thumb">
                    <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                    <div class=" ts-area-bx">
                        <p class="ts-area-title "><?php the_title(); ?></p>
                        <div class="text-designation">
                            <?php
                            $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                            echo (!empty($name2[0])) ? $name2[0] : '';
                            ?> 
                        </div>
                    </div>
                </div>

                <div class="col-xl-12 ts-area-single">
                 <div data-match-height="groupName" class="tsarea-inn">

                    <div class="ts-area-content">
                        <div class="col-xl-8 col-lg-8 ts-area-c">     
                            <p><?php
                            if (has_excerpt()) {
                                echo get_the_excerpt();
                            } else {
                                echo get_the_content();
                            }
                            ?>       
                        </p>    
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>

    <?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/*testimoni inner page*/
function testimonialPageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 3);
    $cols++;
    switch($cols){

    }
    $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
            $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <?php
            }
            ++$postN;
            ?> 
            <div id="testimonial-inner-box" class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                <div class="row">
                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">

                        <div class="inner-testimonial-anim"></div>
                        <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                    </div>
                    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-8 testimonial-inner-content">
                        <div class="testimonial-inner-name">
                           <h3> <?php the_title(); ?></h3>
                       </div>
                       <div class="text-designation">
                        <?php
                        $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                        echo (!empty($name2[0])) ? $name2[0] : '';
                        ?> 
                    </div>
                </div>
            </div>
            <div class="row content-inner-test">
               <p><?php
               if (has_excerpt()) {
                echo get_the_excerpt();
            } else {
                echo get_the_content();
            }
            ?>       
        </p>    
    </div>
</div>
<?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}



/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',2);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12';
        break;
        default: 
        $colCls = 'col-xl-3 col-lg-3 col-md-6 col-sm-12 col-xs-12';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();
            $designation = get_post_meta($post->ID, 'designation', false);
            $tm_services_designation = !empty($designation[0]) ? $designation[0] : '';

            ?>

            <div class="<?php echo $colCls; ?> single-service-bx wow zoomIn"> 
                <div class="single-service" data-match-height="single-service ">
                    <div class="service-icon"> 
                        <a href="<?php echo esc_url($tm_services_designation) ?>">
                            <div class="service-animation">
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <div class="line"></div>
                                <!-- <div class="line"></div> -->
                            </div>
                        </a>

                        <div class="img-wrap-ser">
                           <?php
                           if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/service1.png';
                        }
                        ?>
                        <a href="<?php echo esc_url($tm_services_designation) ?>">
                            <div class="img-ser" style="background: url('<?php echo esc_url($image_url); ?>">
                             <div class="img-overlay-ser"></div>   
                         </div>
                     </a>
                 </div>

             </div>
             <div class="sertxbx">
                <a href="<?php echo esc_url($tm_services_designation) ?>">
                    <h4 class="post-title inner-area-title wow fadeInDown"><?php the_title(); ?></h4>
                </a>
                <p class="section-area-text">
                    <?php

                    if(has_excerpt()){
                      echo get_the_excerpt();
                  }else{
                      echo luzuk_excerpt( get_the_content() , 65 );
                  } 
                  ?>
              </p>

              <?php if( get_theme_mod('service_button_display','show' ) == 'show') :
                ?>  
                <?php
                $id_ser_button = get_theme_mod('id_ser_button', 'Read More');
                ?> 
                <div class="id-all-button">
                  <div class="button"> 
                    <a class="btn btn-lg" href="<?php echo esc_url($tm_services_designation) ?>">
                        <span><?php echo ($id_ser_button); ?></span>
                    </a>
                </div>
            </div>  
        <?php endif ?>    

    </div>
</div>    
</div>
<?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}



/*services Shortcode*/
function servicePageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',2);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12';
        break;
        default: 
        $colCls = 'col-xl-3 col-lg-3 col-md-6 col-sm-12 col-xs-12';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();
            $designation = get_post_meta($post->ID, 'designation', false);
            $tm_services_designation = !empty($designation[0]) ? $designation[0] : '';

            ?>

            <div class="<?php echo $colCls; ?> single-service-bx"> 

                <div class="img-border-bx">
                  <a class="border-line btn-lg line-left">
                    <span></span>
                </a>
                <a class="border-line btn-lg">
                    <span></span>
                </a>
                <div class="outer-circle">
                    <div class="inner-circle">
                      <p class="text"> 
                       <?php
                       if (has_post_thumbnail()) {
                        $image_url = $luzuk_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/services.jpg';
                    }
                    ?>  

                    <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>"/>
                </p>
            </div>
        </div>
    </div> 

    <div class="sertxbx text-center">
        <a href="<?php echo esc_url($tm_services_designation) ?>">
            <h4 class="post-title inner-area-title wow fadeInUp"><?php the_title(); ?></h4>
        </a>
        <p class="section-area-text">
            <?php

            if(has_excerpt()){
              echo get_the_excerpt();
          }else{
              echo luzuk_excerpt( get_the_content() , 100 );
          } 
          ?>
      </p>

      <?php if( get_theme_mod('service_innerbutton_display','show' ) == 'show') :
        ?>  
        <?php
        $id_innerser_button = get_theme_mod('id_innerser_button', 'Read More');
        ?> 
        <div class="id-all-button">
          <div class="button"> 
            <a class="btn btn-lg" href="<?php echo esc_url($tm_services_designation) ?>">
                <span><?php echo ($id_innerser_button); ?></span>
            </a>
        </div>
    </div>  
<?php endif ?>    

</div>          
</div>
<?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/**
 * Use for the show the pricing at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return void
 * @author luzuk <support@luzuk.com>
 * */
function pricingShortcode() {
  ob_start();
  $cols = get_theme_mod('pricing_npp_count', 2);
  $cols++;
  switch ($cols) {
    case 1:
    $colCls = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
    break;
    case 2: 
    $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
    break;
    case 3:
    case 5:
    case 6:
    case 9:
    case 11:
    case 13:
    case 15:
    $colCls = 'col-lg-4 col-md-6 col-sm-12 col-xs-12';
    break;
    default: 
    $colCls = 'col-lg-4 col-md-6 col-sm-12 col-xs-12';
    break;
}

$showStatic = true;
for ($i = 1; $i <= $cols; $i++) {
    $PlanPageId = get_theme_mod('pricing_plan_page_' . $i);
        //$pricing_page_icon = get_theme_mod('pricing_plan_page_icon_'.$i);
        //$plannum  = get_theme_mod('plannum_' . $i, '01 ');

    $planTitle  = get_theme_mod('pricing_plan_name_' . $i, 'SMART PLAN');
    $planunit  = get_theme_mod('pricing_plan_unit_' . $i,'$');
    $planPrice  = get_theme_mod('pricing_plan_price_' . $i,'122');
    $planmonth  = get_theme_mod('pricing_plan_month_' . $i,'/ month');
    $planContent= get_theme_mod('pricing_plan_content_' . $i, '
        <li>Fully Professional Cleaner </li>
        <li>Living Room Cleaning</li>
        <li>Bed Room Cleaning</li>
        <li>Bathroom Cleaning</li>
        <li>Windows & Door Cleaning</li>

        ');

    $link = get_theme_mod('pricing_plan_url'.$i);
    $url = get_theme_mod('pricing_plan_url_'.$i, '#');

    if ($planTitle  || $planunit || $planPrice || $planmonth || $planContent || $url ) {
      $showStatic = false;
      ?>
      <div class="<?php echo $colCls; ?> price-mbx">
        <div class="single-pricing wow zoomIn">
           <div class="pcirinn">
            <svg xmlns="http://www.w3.org/2000/svg" width="5.514in" height="3.361in">
                <path fill-rule="evenodd" 
                d="M-0.000,242.000 C-0.000,183.333 -0.000,124.667 -0.000,66.000 C2.585,47.873 11.346,31.201 25.000,19.000 C36.723,8.524 51.375,1.953 67.000,0.000 C155.000,0.000 243.000,0.000 331.000,0.000 C347.146,1.748 362.269,8.772 374.000,20.000 C385.962,31.448 393.704,46.604 396.000,63.000 C396.333,111.000 396.667,159.000 397.000,207.000 C365.214,204.722 335.968,197.763 309.000,186.000 C266.126,167.299 245.290,142.617 205.000,141.000 C181.329,140.050 145.950,149.663 105.000,183.000 C84.828,199.422 74.092,214.026 51.000,226.000 C34.846,234.376 17.722,239.553 -0.000,242.000 Z"/>
            </svg>
        </div>
        <div class="single-pricebox" style="">

            <div class="pr-s-area">
                <h4 class="plan-title inner-area-title" ><?php echo ($planTitle); ?></h4>
                <div class="currency-price">
                    <!-- <sup> --><?php echo ($planunit); ?><!-- </sup> -->
                    <?php echo ($planPrice); ?>
                    <small><?php echo ($planmonth); ?></small>
                </div>
                <div class="clearfix"></div>
            </div>        
            <ul class="pricing-list "> <?php echo ($planContent); ?></ul>
        </div>
        <?php
        $pricing_page_id = get_theme_mod('pricing_page');
        $pricing_page_button_title = get_theme_mod('pricing_page_button_title_'.$i, 'Book Now');
        ?>
        <?php if($pricing_page_button_title){ ?>
            <div class="pc-btn " data-wow-duration="4s">    
                <a class="btn btn-lg" href="<?php echo esc_url(!empty($url)?$url:'#');?>" >
                 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 512 512"><path d="M464,48c-67.61.29-117.87,9.6-154.24,25.69C282.62,85.69,272,94.77,272,125.53V448c41.57-37.5,78.46-48,224-48V48Z"/><path d="M48,48c67.61.29,117.87,9.6,154.24,25.69,27.14,12,37.76,21.08,37.76,51.84V448c-41.57-37.5-78.46-48-224-48V48Z"/></svg><span><?php echo ($pricing_page_button_title);  ?></span>
             </a>
         </div>
     <?php } ?>

 </div>
 <div class="clearfix"></div> 
</div>
<?php
}
}
if ($showStatic === true) {
  for ($i = 1; $i <= $cols; $i++) {
    $link = get_theme_mod('pricing_plan_url'.$i);
    $url = get_theme_mod('pricing_plan_url_'.$i, '#');

    ?>
        <!-- <div class="</?php //echo $colCls; ?> plan">
            <div class="pricing-plans">
                <div class="price-box">
                    <div class="price-bx">
                        <div class="plan-cost">$30</div>
                    </div>
                    <div class="clearfix"></div>
                    <h4 class="plan-title">STANDARD</h4>
                    <div class="clearfix"></div>
                    <div class="pri-table-link">
                        <a class="btn" href="#">DETAILS</a>
                    </div>
                </div>
            </div>
        </div>  -->
        <?php
    }

}

$pricingHtml = ob_get_contents();
        // echo $pricingHtml;
ob_flush();
ob_clean();
}
// **************************
// ======projects =========
// **************************

function projectShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-projects');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('project_npp_count',3);  
    $projects_page_icon1 = get_theme_mod('projects_page_icon1'.$i);
    ++$cols;
    switch($cols){
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        $colCls = 'col-md-6 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-6 col-sm-6';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
            if ($isCustomizer === true) {
                $projtsubttle = get_theme_mod('projtsubttle' . $i);
            } else {
                $projtsubttle = '';
            }
            $post = get_post();
            $projtsubttle = get_post_meta($post->ID, 'projtsubttle', false);
            ?>
            <!-- Inner Page -->
            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-6 col-xs-12  single-project-bx-inn">
                <div class="single-project">
                    <div  class="project-icon">
                       <?php
                       if (has_post_thumbnail()) {
                        $image_url = $luzuk_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/projects.jpg';
                    }
                    ?>
                    <?php
                    $project_link = get_theme_mod('project_link', '');
                    ?>
                    <a href="<?php the_permalink(); ?>">
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <div class="ovrly"></div>
                    </a>
                    <div class="project-title-box" project-match-height="groupName">
                        <a href="<?php the_permalink(); ?>">
                            <div class="project-titleovly"></div>
                            <div class="project-titleovly1"></div>
                            <h3><?php the_title(); ?></h3>
                        </a>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <script type="text/javascript">
            var title = 0;
            jQuery("#innerpage-box .single-project").each(function(){
              if ($(this).height() > title) { title = $(this).height(); }
          });
            jQuery("#innerpage-box .single-project").height(title);


            // on Resize change height

            jQuery(window).resize(function(){
              jQuery("#innerpage-box .single-project").height("");
              var title = 0;
              jQuery("#innerpage-box .single-project").each(function(){
                if ($(this).height() > title) { title = $(this).height(); }
            });
              jQuery("#innerpage-box .single-project").height(title);
          });
      </script>

      <?php
  endwhile;
  $text = ob_get_contents();
  ob_clean();
endif;
wp_reset_postdata();
return $text;
}


// ==========================
/*********gallery************/ 
// ==========================

function galleryShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-gallery');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('gallery_npp_count', 5);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-4 col-sm-6';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
            $post = get_post();
            ?> 

            <div class="<?php echo $colCls; ?> gall-contain wow zoomIn"> 
                <div class="gallery-bx">
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                    <div class="homegalry"> 
                        <div class="lz-gallery-images wow zoomIn">
                            <figure class="spa-gall">
                                <?php
                                if (has_post_thumbnail()) {
                                    $image_url = $luzuk_image[0];
                                } else {
                                    $image_url = get_template_directory_uri() . '/images/about1.jpg';
                                }
                                ?>
                                <a class="group1" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">  
                                    <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                                </a> 
                            </figure>
                            <a class="group1" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">  
                               <div class="over-text">
                                <i class="fa fa-plus" aria-hidden="true"></i>
                            </div>
                        </a>
                    </div>
                    <div class="clearfix"></div>
                </div> 
            </div>
            <script type="text/javascript">
                var title = 0;
                jQuery("#innerpage-box .lz-gallery-images").each(function(){
                  if ($(this).height() > title) { title = $(this).height(); }
              });
                jQuery("#innerpage-box .lz-gallery-images").height(title);


            // on Resize change height

            jQuery(window).resize(function(){
              jQuery("#innerpage-box .lz-gallery-images").height("");
              var title = 0;
              jQuery("#innerpage-box .lz-gallery-images").each(function(){
                if ($(this).height() > title) { title = $(this).height(); }
            });
              jQuery("#innerpage-box .lz-gallery-images").height(title);
          });
      </script>
  </div>
  <?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}


function gallerinnerShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();

    $args = array('post_type' => 'our-gallery');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('gallerinner_npp_count',5);  


    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();

            ?>

            <div class="<?php echo $colCls; ?> ">  
                <div class=" innergalry wow zoomIn"> 
                    <div class="lz-gallery-images ">
                        <figure class="spa-gall">
                            <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/about1.jpg';
                            }
                            ?>
                            <a class="group1" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">  
                                <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            </a> 
                        </figure>
                        <a class="group1" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">
                            <div class="over-text">
                             <!--  <div class="overlay"></div>  -->
                             <h3 class="inner-area-title "></h3>
                             <span></span>
                             <span></span>
                             <span></span>
                             <span></span>
                         </div>
                         <div class="gall-icn">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </div>
                    </a>
                </div>
            </div> 
            <!--inner page  --> 
            <script type="text/javascript">
                var title = 0;
                jQuery("#innerpage-box .lz-gallery-images").each(function(){
                  if ($(this).height() > title) { title = $(this).height(); }
              });
                jQuery("#innerpage-box .lz-gallery-images").height(title);


            // on Resize change height

            jQuery(window).resize(function(){
              jQuery("#innerpage-box .lz-gallery-images").height("");
              var title = 0;
              jQuery("#innerpage-box .lz-gallery-images").each(function(){
                if ($(this).height() > title) { title = $(this).height(); }
            });
              jQuery("#innerpage-box .lz-gallery-images").height(title);
          });
      </script>
  </div>


  <?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}

//adding a shortcode 

// add_shortcode('TEAMLIST', 'teamPageShortCode');
// add_shortcode('TESTIMONIALS', 'testimonialPageShortCode'); 
// add_shortcode('GALLERY', 'gallerinnerShortCode');
add_shortcode('SERVICES', 'servicePageShortCode');
// add_shortcode('FAQS', 'faqShortcode');
// add_shortcode('VIDEOS', 'VideoPageShortCode');
//add_shortcode('PRICE', 'pricingShortcode');