<?php   

$SliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider', 'ClassicTemplate' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);

$wp_customize->add_setting(
    'banner_one_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'banner_one_show_content',
        array(
            'settings'      => 'banner_one_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);


lzCustomLable($wp_customize, 'banner__col', 'slider_section', 'Slider Colors:'); 

addColorPalatOption($wp_customize, 'slider_TitleColor', 'slider_section', 'Title Color 1', '#ffffff');
addColorPalatOption($wp_customize, 'slider_TitleShadowColor', 'slider_section', 'Title Shadow Color 1', '#dd06cd');
addColorPalatOption($wp_customize, 'slider_TitleAnimColor', 'slider_section', 'Title Animation Color 1', ' #fe03ee');

addColorPalatOption($wp_customize, 'slider_TitleColor2', 'slider_section', 'Title Color 2', '#ffffff');
addColorPalatOption($wp_customize, 'slider_TitleShadowColor2', 'slider_section', 'Title Shadow Color 2', '#1ac8fb');
addColorPalatOption($wp_customize, 'slider_TitleAnimColor2', 'slider_section', 'Title Animation Color 2', '#1ac8fb');

addColorPalatOption($wp_customize, 'slider_BrsColor', 'slider_section', 'Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'slider_ShadowColor', 'slider_section', 'Shadow Color', '#0ae5f5');
addColorPalatOption($wp_customize, 'slider_arrowColor', 'slider_section', 'Slider Arrows Color', '#ffffff');
addColorPalatOption($wp_customize, 'slider_arrowBrsColor', 'slider_section', 'Slider Arrows Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'slider_arrowBrsshadColor', 'slider_section', 'Slider Arrows Shadow Color', '#1ac8fb');
