<?php
if(get_theme_mod('about_area_disable') != 'on' ){
	?>
	<?php 
	if( get_theme_mod('about_areaTpadding',true) ) {
		$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
	}
	if( get_theme_mod('about_areaBpadding',true) ) {
		$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
	}
	if( get_theme_mod('about_areawave',true) ) {
		$about_areawave = 'top:'.esc_attr(get_theme_mod('about_areawave')).';';
	}
	?>			
	<div class="about-area" id="about">
		<div class="overlay-about"></div>
		<div class="container">
			<div class="about-area-bx">
				<div class="row">
					<?php
					$about_leftheading = get_theme_mod('about_leftheading', 'BIOGRAPHY');
					$aboutsubtitle = get_theme_mod('aboutsubtitle', 'KNOW MORE ABOUT US');
					$abouttitle = get_theme_mod('about_title', 'About Us');
					$abouttext = get_theme_mod('about_text', 'Fusce nec dui quis ante dignissim blandit. Aenean iaculis ullamcorper imperdiet. Nunc metus nunc, blandit quis rhoncus at, maximus ut elit. Pellentesque lacinia leo quis nulla euismod, congue aliquam nisi semper. Etiam non ornare lacus. Cras pharetra leo id justo tristique condimentum. nibh at iaculis finibus, odio mauris eleifend nisl, eget sagittis tortor nisi a quam.');
					?>
					<div class="col-lg-6  col-md-12 about-leftbx wow fadeInLeft">
						<?php if($about_leftheading){ ?>
							<div class="ag-format-container">
								<div class="ag-line-block">
									<div class="ag-line_light ag-line_light-1"></div>
									<p><?php echo ($about_leftheading);  ?></p>
									<div class="ag-line_light ag-line_light-2"></div>
								</div>
							</div>
						<?php }?>
						<div class="aboutarea-img">
							<?php 
							$about_image = get_theme_mod('about_image');
							if(!empty($about_image)){
								echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img" />';
							}else{
								echo '<img alt="About us" src="'.get_template_directory_uri().'/images/abotimg.png" class="img-responsive" />';
							}

							?>
							<div class="clearfix"></div>
						</div>
					</div>
					<div class="col-lg-6 col-md-12 abt-rbx wow fadeInRight" data-wow-duration="1s">
						<div class="abtsection-title">
							<?php if($abouttitle){ ?>
								<h2><?php echo ($abouttitle);  ?></h2>
							<?php }?>
							<div class="text-effects">
								<h3><?php echo ($aboutsubtitle);  ?></h3>
							</div>
						</div>
						<div class="section-subtext pl-20">
							<p><?php echo ($abouttext);  ?></p>

						</div>
						<div class="clearfix"></div>
						<div class="abt-btn btn1 pl-20">
							<?php
							$abtbtntxt = get_theme_mod('abtbtntxt', 'Read More'); 
							$abtbtnlink = get_theme_mod('abtbtnlink', 'add link here');
							?>

							<?php if(!empty($abtbtntxt)){ ?>
								<a href="<?php echo $abtbtnlink ?>" class="btn btn-lg"> 
									<span><?php echo $abtbtntxt ?></span>
								</a>
							<?php }?> 
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
	</div>
	<script>
		(function ($) {
			$(function () {



			});
		})(jQuery);
	</script>

<?php }  