<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

backgroundManager($wp_customize, 'contactusinn', 'luzuk_premium_contactus_section', $color='#000000', get_template_directory_uri().'/images/contact-page.png', 'img');


lzCustomLable($wp_customize, 'contactusss_anim_circle', 'luzuk_premium_contactus_section', 'Animated Circle Display & Its Colors:');

// to show & hide another button
$wp_customize->add_setting( 'contactarea_anim_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'contactarea_anim_button_display', array( 'label' => 'Animated Circle Display', 'section' => 'luzuk_premium_contactus_section', 'settings' => 'contactarea_anim_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'contactus_anim_circle_circle1', 'luzuk_premium_contactus_section', 'Animated Circle Color 1', '#38234e');
addColorPalatOption($wp_customize, 'contactus_anim_circle_circle2', 'luzuk_premium_contactus_section', 'Animated Circle Color 2', '#4c2236');



lzCustomLable($wp_customize, 'luzuk_cnctpageclr', 'luzuk_premium_contactus_section', 'Contact Page Setting');


lzCustomLable($wp_customize, 'aboutsec_img', 'luzuk_premium_contactus_section' , 'Left Image');
$wp_customize->add_setting(
    'contactAppbanner_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contactAppbanner_image',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'contactAppbanner_image',
            'description' => __('Recommended Image Size: 530X625px', 'luzuk-premium')
        )
    )
);
addColorPalatOption($wp_customize, 'luzuk_contactus_imgbrssColor', 'luzuk_premium_contactus_section', 'Image Border Color', '#460b90');
addColorPalatOption($wp_customize, 'luzuk_contactus_animicoColor1', 'luzuk_premium_contactus_section', 'Animated Icons Color 1', '#8127cc');
addColorPalatOption($wp_customize, 'luzuk_contactus_animicoColor2', 'luzuk_premium_contactus_section', 'Animated Icons Color 2', '#460b90');

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+ 1-202-555-0167', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'fomim88237@meogl.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '56 Red Maple Drive Los Angeles CA California 90008', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_Addricnclr', 'luzuk_premium_contactus_section', 'Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_contactus_icobgclr1', 'luzuk_premium_contactus_section', 'Icon BG Color 1', '#9c33e2');
addColorPalatOption($wp_customize, 'luzuk_contactus_icobgclr2', 'luzuk_premium_contactus_section', 'Icon BG Color 2', '#3a0382');
addColorPalatOption($wp_customize, 'luzuk_contactus_Addricnhovershadowsclr1', 'luzuk_premium_contactus_section', 'Icon Hover Shadow Color 1', '#26c3f8');
addColorPalatOption($wp_customize, 'luzuk_contactus_Addricnhovershadowsclr2', 'luzuk_premium_contactus_section', 'Icon Hover Shadow Color 2', '#cd04c0');
addColorPalatOption($wp_customize, 'luzuk_contactus_Addrtxtclr', 'luzuk_premium_contactus_section', 'Phone Number, Email Text & Address Text Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_contactus_Addrtxthvrclr', 'luzuk_premium_contactus_section', 'Phone Number And Email Text Hover Color', '#ff03ee');

$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONTACT US', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_text_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'FOR MORE INFO', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_text_lbl',
	array(
		'settings'      => 'luzuk_contactus_text_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Text', 'luzuk Premium' )
	)
);


addColorPalatOption($wp_customize, 'luzuk_contactus_area_heading', 'luzuk_premium_contactus_section', 'Heading Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_shadheading', 'luzuk_premium_contactus_section', 'Heading Shadow Color', '#FF03EE');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_subheading', 'luzuk_premium_contactus_section', 'Sub Heading Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_shadsubheading', 'luzuk_premium_contactus_section', 'Sub Heading Shadow Color', '#959191');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_subbgheadingbrs', 'luzuk_premium_contactus_section', 'Box Border Color 1', '#fe03ee');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_subbgheading', 'luzuk_premium_contactus_section', 'Box Border Color 2', '#86037d');


$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);
lzCustomLable($wp_customize, 'luzuk_leftbxclr', 'luzuk_premium_contactus_section', 'Form Box Colors Setting');
addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_formbxborfder_clr', 'luzuk_premium_contactus_section', 'Form Box Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_contactus_area_formbox_shad_clr', 'luzuk_premium_contactus_section', 'Form Box Shadow Color', '#16777d');
addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Fields Shadow Color', '#16777d');
addColorPalatOption($wp_customize, 'luzuk_contactus_formfieldsborderColor', 'luzuk_premium_contactus_section', 'Form Fields Border Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbuttonbrdClr', 'luzuk_premium_contactus_section', 'Form Button Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbuttonhvbrdClr', 'luzuk_premium_contactus_section', 'Form Button Hover Border Color', '#03d4ff');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbuttonbgColor', 'luzuk_premium_contactus_section', 'Form Button Shadow Color', '#84017c');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbuttonbghoverColor', 'luzuk_premium_contactus_section', 'Form Button Hover Shadow Color', '#03d4ff');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));