<?php $showContent = get_theme_mod('banner_one_show_content', 'on'); ?>
<section class="banner__slider"> 
	<div class="slider stick-dots">
		<?php
		$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC', );
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);
		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'Read More';
				}
				?>
				<?php $total_slider_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>

				<div class="slide">
					<?php
					$color_overlay_classes = '';
					$color_overlay_opacity  = get_theme_mod( 'cover_template_overlay_opacity' );
					$color_overlay_opacity  = ( false === $color_overlay_opacity ) ? 50 : $color_overlay_opacity;
					$color_overlay_classes .= ' opacity-' . $color_overlay_opacity;
					?>
					
					<div class="tm-banner_gradiant-effect<?php echo esc_attr( $color_overlay_classes ); ?>"></div>

					<div class="slide__img">
						<?php 
						if(has_post_thumbnail()){
							$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
							echo '<img class="full-image animated" data-animation-in="zoomInImage" src="'.esc_url($total_slider_image[0]).'">';
						}?>
					</div>
					<?php if($showContent == 'on'){?>
					<div class="bx"></div>
					<?php if( get_theme_mod('ip--banner__button_display','show' ) == 'show') :
						?>	
						<div class="text-effect animated">
							<?php echo (get_the_title()); ?>
						</div>
					<?php endif ?>
					<?php }?> 
				</div>
				<?php
			endwhile;
		}else{ 
			for($i=0;$i<4;$i++){?>
				<div class="slide">
					<?php
					$color_overlay_classes = '';
					$color_overlay_opacity  = get_theme_mod( 'cover_template_overlay_opacity' );
					$color_overlay_opacity  = ( false === $color_overlay_opacity ) ? 50 : $color_overlay_opacity;
					$color_overlay_classes .= ' opacity-' . $color_overlay_opacity;
					?>

					<div class="tm-banner_gradiant-effect<?php echo esc_attr( $color_overlay_classes ); ?>"></div>
					<div class="slide__img">
						<img class="full-image animated" data-animation-in="zoomInImage" src="<?php echo esc_url(get_template_directory_uri().'/images/banner.jpg');?>" />
					</div>
					<?php if($showContent == 'on'){?>
					<div class="bx">
					</div>
					<?php if( get_theme_mod('ip--banner__button_display','show' ) == 'show') :
						?>	
						<div class="text-effect">
							Music
							<span>CONCERT</span>
						</div>
					<?php endif ?>
					<?php }?> 
				</div>
			<?php }
		}?> 
	</div>
	<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
		<symbol xmlns="http://www.w3.org/2000/svg" viewBox="0 0 44 44" width="44px" height="44px" id="circle" fill="none" stroke="currentColor">
			<circle r="20" cy="22" cx="22" id="test">
			</symbol>
		</svg>
	</section>
